%define upstream_name    Net-SMTP-SSL
%define upstream_version 1.04

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Test::More

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    SSL support for Net::SMTP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(Net::SMTP)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
Implements the same API as Net::SMTP, but uses IO::Socket::SSL for its
network operations. Due to the nature of 'Net::SMTP''s 'new' method, it is
not overridden to make use of a default port for the SMTPS service. Perhaps
future versions will be smart like that. Port '465' is usually what you
want, and it's not a pain to specify that.

For interface documentation, please see Net::SMTP.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-3.mga8
+ Revision: 1505597
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.40.0-2.mga7
+ Revision: 1285203
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 1.40.0-1.mga7
+ Revision: 1128822
- update to 1.04

* Mon Jun 06 2016 tv <tv> 1.30.0-3.mga6
+ Revision: 1020373
- unbloat default install: Test::More is only needed at buildtime

* Fri Feb 19 2016 umeabot <umeabot> 1.30.0-2.mga6
+ Revision: 968151
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.30.0-1.mga6
+ Revision: 851425
- update to 1.03

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 750756
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 685720
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-3.mga4
+ Revision: 513527
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 370864
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 24194
- fix specs
- imported package perl-Net-SMTP-SSL

